Bug 21137 - Kernel panic: Attempting to kill the idle task!
Summary: Kernel panic: Attempting to kill the idle task!
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 18:39 UTC by David Searles
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 11:15:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash data from console (1.00 KB, text/plain)
2000-11-20 18:40 UTC, David Searles
no flags Details

Description David Searles 2000-11-20 18:39:05 UTC
Solid kernel panic on Dell OptiPlex GMT5100 (100 MHz Pentium w/ 64MB RAM; 
2 2.1 GB IDE disks; NEC SCSI CD-ROM on Adaptec controller; D-Link DFE-
530TX NIC) on which RedHat 5.2, Mandrake 6.0 and RedHat 6.1 ran great. 
This is a fresh 7.0 install with all applicable updates (as of 11/17/00) 
installed. When system is in use, all appears to be fine; when it sits 
idle, however, it crashes after varying amounts of time.
Crash data from console is:

Unable to handle kernel paging request at virtual address 40039c12
current->tss.cr3 = 00101000, %cr3 = 00101000
*pde = 00000000
Oops: 0002
CPU:	0
EIP:	0010:[<c0112146>]
EFLAGS:	00010006
eax: 40039c02   ebx: 40039c32   ecx: 00000047   edx: c382d74c
esi: 40039c42   edi: 40039c12   ebp: c0235f4c   esp: c0235f30
ds: 0018   es: 0018   ss: 0018
Process swapper (pid: 0, process nr: 0, stackpage=c0235000)
Stack:  0003fffc 40039c12 00000001 c010adb9 00000000 00000000 00000000 
c0235f60
	c01188c5 00000000 c0234000 c010b10f 00000000 c010addc 00000000 
c0234000
	00000000 c0234000 0003fffc 00000000 00000000 00000018 00000018 
ffffff00
Call Trace: [<c010adb9>] [<c01188c5>] [<c010b10f>] [<c010addc>] 
[c01087e1>] [<c0106000>] [<c0108804>]
	[<c0109f58>] [<c0106000>] [<c010607b>] [<c0106000>] [<c0100175>]
Code: 89 07 85 c0 74 03 89 78 04 c7 42 04 00 00 00 00 c7 02 00 00
Aiee, killing interrupt handler
Kernel panic: Attempted to kill the idle task!
In swapper task - not syncing

Comment 1 David Searles 2000-11-20 18:40:08 UTC
Created attachment 5564 [details]
Crash data from console

Comment 2 David Searles 2001-01-20 18:44:18 UTC
So what's the deal here. Does this bug stay NEW forever? Is this the "ignore it 
and maybe it'll go away" philosophy?

Comment 3 ksm 2001-03-19 16:27:02 UTC
I am receiving a similar kernel panic with RedHat 6.2 kernel 2.2.16-3.  We are
running a cluster of 
Linux machines with MPI.  At least once a weak one machine will lock up and I
receive the following error:
Code: 8b 4a 04 85 c9 74 26 8b 5a 18 8b 02 89 01 8b 09 85 c9 74 0c
Aiee, killing interrupt handler
Kernel Panic:  Attempted to  kill the idle task!
In interrupt: handler not syncing.


Comment 4 Arjan van de Ven 2001-03-19 16:31:12 UTC
Without running this oops through ksymoops _on your machine_, this information
is useless to us.
You can do that by doing
cat <file with the panic> | ksymoops
or if the system survived the oops:
dmesg | ksymoops

Comment 5 David Searles 2001-05-02 11:15:42 UTC
I upgraded to RedHat 7.1 and this problem has disappeared, therefore please 
close this record. BTW, RH 7.1 seems VERY solid (a VERY welcome improvement 
over RH 7.0 which was flaky at best)


Note You need to log in before you can comment on or make changes to this bug.